package com.ruoyi.system.mapper.task;

import com.ruoyi.system.domain.task.TkCommonReport;
import com.ruoyi.system.domain.task.TkCommonReportExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TkCommonReportMapper {
    long countByExample(TkCommonReportExample example);

    int deleteByExample(TkCommonReportExample example);

    int deleteByPrimaryKey(String id);

    int insert(TkCommonReport record);

    int insertSelective(TkCommonReport record);

    List<TkCommonReport> selectByExample(TkCommonReportExample example);

    TkCommonReport selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TkCommonReport record, @Param("example") TkCommonReportExample example);

    int updateByExample(@Param("record") TkCommonReport record, @Param("example") TkCommonReportExample example);

    int updateByPrimaryKeySelective(TkCommonReport record);

    int updateByPrimaryKey(TkCommonReport record);
}